Summary:	MS-Explorer-like minimalist file manager for X
Name:		xfe
Version:	1.43.2
Release:	%mkrel 2
License:	GPLv2+
Group:		File tools
Url:		http://roland65.free.fr/xfe
Source0:	http://downloads.sourceforge.net/xfe/%{name}-%{version}.tar.gz
Patch1:		xfe-1.41-xferc-path.patch
Patch2:		xfe-1.40.1-desktop-fix.patch
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(fox)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xcb-aux)
BuildRequires:	intltool

%description
X File Explorer (Xfe) is an MS-Explorer like file manager for X.
It is based on the popular, but discontinued, X Win Commander,
originally developed by Maxim Baranov.

Xfe aims to be the file manager of choice for all light thinking Unix addicts!

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-rpath \
	--enable-release \
	--enable-threads=posix \
	--without-included-gettext
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/xfe/xferc %{buildroot}%{_sysconfdir}/%{name}/

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README TODO ChangeLog
%{_bindir}/xf*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/xferc
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/*.xpm
%{_datadir}/%{name}/icons
%{_mandir}/man1/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.43.2-2.mga8
+ Revision: 1527269
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 14 2019 daviddavid <daviddavid> 1.43.2-1.mga8
+ Revision: 1421194
- new version: 1.43.2

* Sun Oct 21 2018 daviddavid <daviddavid> 1.43.1-1.mga7
+ Revision: 1323270
- new version: 1.43.1

* Sun Sep 23 2018 umeabot <umeabot> 1.43-2.mga7
+ Revision: 1301897
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 1.43-1.mga7
+ Revision: 1252109
- new version: 1.43

* Mon Apr 03 2017 akien <akien> 1.42-1.mga6
+ Revision: 1095776
- Version 1.42

* Fri Mar 04 2016 fwang <fwang> 1.41-1.mga6
+ Revision: 985432
- mvoe rc file
- fix rcdir
- 1.41

* Fri Feb 12 2016 umeabot <umeabot> 1.40.1-4.mga6
+ Revision: 959316
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 fwang <fwang> 1.40.1-3.mga6
+ Revision: 864257
- use shipped desktop file
- rediff patches

* Thu Aug 13 2015 fwang <fwang> 1.40.1-1.mga6
+ Revision: 864250
- 1.40.1

* Wed Oct 15 2014 umeabot <umeabot> 1.37-3.mga5
+ Revision: 740748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.37-2.mga5
+ Revision: 690647
- Mageia 5 Mass Rebuild

* Thu Apr 24 2014 fwang <fwang> 1.37-1.mga5
+ Revision: 617553
- support freetype 2.5
- 1.37

* Sat Oct 19 2013 umeabot <umeabot> 1.34-2.mga4
+ Revision: 523907
- Mageia 4 Mass Rebuild

* Sun May 26 2013 fwang <fwang> 1.34-1.mga4
+ Revision: 428139
- new version 1.34

* Mon Jan 14 2013 umeabot <umeabot> 1.33-2.mga3
+ Revision: 386898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 fwang <fwang> 1.33-1.mga3
+ Revision: 289922
- new version 1.33

* Tue Jul 03 2012 fwang <fwang> 1.32.5-1.mga3
+ Revision: 266861
- update desktop file patch
- new version 1.32.5

* Fri Feb 03 2012 malo <malo> 1.32.4-1.mga2
+ Revision: 204181
- use %%mkrel.
- spec clean-up after import from Mandriva
- little patching for correct icon and config paths
- imported package xfe


* Thu Nov 17 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.32.4-1
+ Revision: 731203
- version update

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.19.2-4mdv2011.0
+ Revision: 615676
- the mass rebuild of 2010.1 packages

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 1.19.2-3mdv2010.1
+ Revision: 541529
- fix build with gcc 44

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Aug 03 2008 Frederik Himpe <fhimpe@mandriva.org> 1.19.2-1mdv2009.0
+ Revision: 261986
- update to new version 1.19.2

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19.1-1mdv2009.0
+ Revision: 233529
- update to new version 1.19.1

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19-1mdv2009.0
+ Revision: 219403
- update to new version 1.19

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jun 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.18-1mdv2009.0
+ Revision: 215216
- fix file list
- update to new version 1.18
- add missing buildrequires
- new version
- new library policy
- compile with posix thread suport

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99-1mdv2008.0
+ Revision: 14817
- new version

